=== libs/pthread/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13.5)

project(pthread)


add_library(${PROJECT_NAME} SHARED IMPORTED GLOBAL)


if(CMAKE_CL_64)
	set_target_properties(${PROJECT_NAME} PROPERTIES
		IMPORTED_LOCATION ${CMAKE_CURRENT_SOURCE_DIR}/x64/pthreadVC2.dll
		IMPORTED_IMPLIB ${CMAKE_CURRENT_SOURCE_DIR}/x64/pthreadVC2.lib
		INTERFACE_INCLUDE_DIRECTORIES ${CMAKE_CURRENT_SOURCE_DIR})

	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x64/pthreadVC2.dll
		DESTINATION ${CMAKE_PROJECT_NAME})

	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/x64/pthreadVC2.dll DESTINATION ${CMAKE_BINARY_DIR}/Debug)
	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/x64/pthreadVC2.dll DESTINATION ${CMAKE_BINARY_DIR}/Release)
else()
	set_target_properties(${PROJECT_NAME} PROPERTIES
		IMPORTED_LOCATION ${CMAKE_CURRENT_SOURCE_DIR}/x86/pthreadVC2.dll
		IMPORTED_IMPLIB ${CMAKE_CURRENT_SOURCE_DIR}/x86/pthreadVC2.lib
		INTERFACE_INCLUDE_DIRECTORIES ${CMAKE_CURRENT_SOURCE_DIR})

	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/x86/pthreadVC2.dll
		DESTINATION ${CMAKE_PROJECT_NAME})

	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/x86/pthreadVC2.dll DESTINATION ${CMAKE_BINARY_DIR}/Debug)
	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/x86/pthreadVC2.dll DESTINATION ${CMAKE_BINARY_DIR}/Release)
endif()
